#ifndef  DATA_GEAR_H__
#define  DATA_GEAR_H__

#include "Application.h"
#include "Components.h"


typedef struct //__attribute__((aligned(4))) 
{
    uint8_t  CutterHeadNum;          //刀盘挡位值
    uint8_t  CutterheadValid;        //刀盘挡位有效状态
    uint8_t  GearNum;                /*行驶挡位值*/
    uint8_t  GearValid;              /*行驶挡位有效状态*/ 

}GearStruct_st_t;


extern void Data_Gear_KL30_Init(void);
extern void Data_Gear_KL15_Init(void);
extern void Data_Gear_Cutterhead_Service(void);
extern void Data_Gear_Service(void);
extern uint8_t Get_Gear_Cutterhead_Value(void);
extern uint8_t Get_Gear_Cutterhead_Valid(void);
extern uint8_t Get_Gear_Value(void);
extern uint8_t Get_Gear_Valid(void);


#endif
